<template>
  <nav class="nav">
    <ul class="list">
      <li
        v-for="item of navItems"
        :key="item.title">
        <a :href="item.dest" class="list-item">{{ item.title }}</a>
      </li>
    </ul>
  </nav>
</template>

<script lang='ts'>
import Vue from 'vue';
import Component from 'vue-class-component';

interface NavItem {
  title: string;
  dest: string;
}

@Component({})
export default class Navbar extends Vue {
  navItems: NavItem[] = [
    { title: 'Home', dest: '#home' },
    { title: 'Por quê?', dest: '#about' },
    { title: 'Turmas', dest: '#classes' },
    { title: 'Eventos', dest: '#events' },
    { title: 'Contato', dest: '#contact' },
  ];
}
</script>

<style lang="postcss" scoped>
.nav {
  @apply py-4 px-2;
  @apply bg-blue-500 text-sm text-white;
  @apply sticky top-0 z-10 shadow-lg;
}

.nav > .list {
  @apply flex flex-row justify-around;
}

.list-item {
  @apply font-bold;
}
</style>
